summaryrefslogtreecommitdiff
path: root/tct/rpi3_run.sh
diff options
context:
space:
mode:
authorAleksander Mistewicz <a.mistewicz@samsung.com>2017-04-19 10:59:53 +0200
committerAleksander Mistewicz <a.mistewicz@samsung.com>2017-06-06 13:44:33 +0200
commite9896da83265ec3a31db1da84ba97d3754f7c0c5 (patch)
tree3c96f6860e6f3818407fe28c536b184816299ff5 /tct/rpi3_run.sh
parent5e478407f5c974d0b4a30ff76ee347192778a53f (diff)
downloadmajor-e9896da83265ec3a31db1da84ba97d3754f7c0c5.tar.gz
major-e9896da83265ec3a31db1da84ba97d3754f7c0c5.tar.bz2
major-e9896da83265ec3a31db1da84ba97d3754f7c0c5.zip
Add rPi3 to TITS
Database update is required. Delete it or run: . tsp/common.sh sqlite3 "${DBPATH}" -batch < tsp/results-values-device.sql Change-Id: I220f060a7186b047a2d55271beab1aafc4398863
Diffstat (limited to 'tct/rpi3_run.sh')
-rwxr-xr-xtct/rpi3_run.sh65
1 files changed, 65 insertions, 0 deletions
diff --git a/tct/rpi3_run.sh b/tct/rpi3_run.sh
new file mode 100755
index 0000000..e095f2f
--- /dev/null
+++ b/tct/rpi3_run.sh
@@ -0,0 +1,65 @@
+#!/bin/sh
+
+# Copyright (c) 2016 Samsung Electronics Co., Ltd All Rights Reserved
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+# Script used to run smoke and avocado tests on ODROID U3
+# It preserves CONNECT_CNT information left by odroid_prepare_flash_conf.sh
+# After test SDMUX is switched to testserver in order to increase sdcard
+# longetivity and make next flash faster.
+#
+# Syntax is: odroid_run.sh $SDMUX [$NATIVE_TCT_REPO]
+#
+# Author: Aleksander Mistewicz <a.mistewicz@samsung.com>
+export TESTLAB_SCRIPTS="$(CDPATH='' cd -- "$(dirname -- "$0")" && pwd -P)"
+
+. "${TESTLAB_SCRIPTS}/common.sh"
+. "${TESTLAB_SCRIPTS}/conf/conf.sh"
+. "${TESTLAB_SCRIPTS}/run/run.sh"
+. "${TESTLAB_SCRIPTS}/flash/flash.sh"
+
+SDMUX="$1"
+NATIVE_TCT_REPO="$2"
+
+test -n "${SDMUX}" || die "Missing argument: sdmux!"
+
+IP="$(get_ip "${SDMUX}")" || die "Error: get_ip failed!"
+
+echo "### conf ###"
+
+CONNECT_CNT="$(wait_ping "${SDMUX}")" || die "wait_ping: failed!"
+
+sleep 4
+sdb connect "$IP"
+sleep 4
+sdb -s "${IP}" root on
+
+echo "### run ###"
+
+copy_sdb "${IP}" "${TESTLAB_SCRIPTS}/run/smoke_tests.sh"
+run_smoke_sdb "${IP}"
+
+cat sysctl.result
+
+if [ -f "common_test.yaml" ]
+then
+ run_avocado_sdb "${IP}" "avocado-results" "common_test.yaml"
+else
+ echo "Missing file: common_test.yaml; skipping avocado tests"
+fi
+
+echo "### cleanup ###"
+
+sdb disconnect "$IP"
+switch2testserver "${SDMUX}"